<?php
declare(strict_types = 1);

class_exists('DB') || die;

require_once(__DIR__ . '/classes/AdminCategory.class.php');

template:
{
	AdminCategory::tplSection('delete');

	Template::set('delete',
	[
		'button_text' => __('Supprimer la catégorie'),
		'confirm_text' => __('Supprimer la catégorie et tous les fichiers qu\'elle contient ?'),
		'context_text' => __('Cette action supprimera de façon définitive la catégorie,'
			. ' toutes les sous-catégories et tous les fichiers qui s\'y trouvent,'
			. ' ainsi que tous les commentaires et votes liés à ces fichiers.')
	]);
}

update:
{
	AdminCategory::delete();
}

get_data:
{
	AdminCategory::getInfos();

	AdminAlbums::getCategoriesLists();
}
?>